VULKAN_HPP_NAMESPACE::PhysicalDeviceProtectedMemoryProperties Struct Reference

`#include <vulkan.hpp>`

## Public Member Functions

| PhysicalDeviceProtectedMemoryProperties (Bool32 protectedNoFault_=0)
| PhysicalDeviceProtectedMemoryProperties (VkPhysicalDeviceProtectedMemoryProperties const &rhs)
PhysicalDeviceProtectedMemoryProperties & | operator= (VkPhysicalDeviceProtectedMemoryProperties const &rhs)
PhysicalDeviceProtectedMemoryProperties & | setPNext (void *pNext_)
PhysicalDeviceProtectedMemoryProperties & | setProtectedNoFault (Bool32 protectedNoFault_)
| operator VkPhysicalDeviceProtectedMemoryProperties const & () const
| operator VkPhysicalDeviceProtectedMemoryProperties & ()
bool | operator== (PhysicalDeviceProtectedMemoryProperties const &rhs) const
bool | operator!= (PhysicalDeviceProtectedMemoryProperties const &rhs) const

## Data Fields

void * | pNext = nullptr
Bool32 | protectedNoFault

## Private Attributes

StructureType | sType = StructureType::ePhysicalDeviceProtectedMemoryProperties

## Detailed Description

Definition at line 16527 of file vulkan.hpp.

## Constructor & Destructor Documentation

## PhysicalDeviceProtectedMemoryProperties() [1/2]

VULKAN_HPP_NAMESPACE::PhysicalDeviceProtectedMemoryProperties::PhysicalDeviceProtectedMemoryProperties | ( | Bool32 | protectedNoFault_ = `0` | ) |

inline

Definition at line 16529 of file vulkan.hpp.

: protectedNoFault( protectedNoFault_ )
{
}

## PhysicalDeviceProtectedMemoryProperties() [2/2]

VULKAN_HPP_NAMESPACE::PhysicalDeviceProtectedMemoryProperties::PhysicalDeviceProtectedMemoryProperties | ( | VkPhysicalDeviceProtectedMemoryProperties const & | rhs | ) |

inline

Definition at line 16534 of file vulkan.hpp.

{
memcpy( this, &rhs, sizeof( PhysicalDeviceProtectedMemoryProperties ) );
}

References memcpy.

## Member Function Documentation

## operator VkPhysicalDeviceProtectedMemoryProperties &()

VULKAN_HPP_NAMESPACE::PhysicalDeviceProtectedMemoryProperties::operator VkPhysicalDeviceProtectedMemoryProperties & | ( |  | ) |

inline

Definition at line 16561 of file vulkan.hpp.

{
return *reinterpret_cast<VkPhysicalDeviceProtectedMemoryProperties*>(this);
}

## operator VkPhysicalDeviceProtectedMemoryProperties const &()

VULKAN_HPP_NAMESPACE::PhysicalDeviceProtectedMemoryProperties::operator VkPhysicalDeviceProtectedMemoryProperties const & | ( |  | ) | const

inline

Definition at line 16556 of file vulkan.hpp.

{
return *reinterpret_cast<const VkPhysicalDeviceProtectedMemoryProperties*>(this);
}

## operator!=()

bool VULKAN_HPP_NAMESPACE::PhysicalDeviceProtectedMemoryProperties::operator!= | ( | PhysicalDeviceProtectedMemoryProperties const & | rhs | ) | const

inline

Definition at line 16573 of file vulkan.hpp.

{
return !operator==( rhs );
}

References operator==().

## operator=()

PhysicalDeviceProtectedMemoryProperties& VULKAN_HPP_NAMESPACE::PhysicalDeviceProtectedMemoryProperties::operator= | ( | VkPhysicalDeviceProtectedMemoryProperties const & | rhs | ) |

inline

Definition at line 16539 of file vulkan.hpp.

{
memcpy( this, &rhs, sizeof( PhysicalDeviceProtectedMemoryProperties ) );
return *this;
}

References memcpy.

## operator==()

bool VULKAN_HPP_NAMESPACE::PhysicalDeviceProtectedMemoryProperties::operator== | ( | PhysicalDeviceProtectedMemoryProperties const & | rhs | ) | const

inline

Definition at line 16566 of file vulkan.hpp.

{
return ( sType == rhs.sType )
&& ( pNext == rhs.pNext )
&& ( protectedNoFault == rhs.protectedNoFault );
}

References pNext, protectedNoFault, and sType.

Referenced by operator!=().

## setPNext()

PhysicalDeviceProtectedMemoryProperties& VULKAN_HPP_NAMESPACE::PhysicalDeviceProtectedMemoryProperties::setPNext | ( | void * | pNext_ | ) |

inline

Definition at line 16544 of file vulkan.hpp.

{
pNext = pNext_;
return *this;
}

References pNext.

## setProtectedNoFault()

PhysicalDeviceProtectedMemoryProperties& VULKAN_HPP_NAMESPACE::PhysicalDeviceProtectedMemoryProperties::setProtectedNoFault | ( | Bool32 | protectedNoFault_ | ) |

inline

Definition at line 16550 of file vulkan.hpp.

{
protectedNoFault = protectedNoFault_;
return *this;
}

References protectedNoFault.

## Field Documentation

## pNext

void* VULKAN_HPP_NAMESPACE::PhysicalDeviceProtectedMemoryProperties::pNext = nullptr

Definition at line 16582 of file vulkan.hpp.

Referenced by operator==(), and setPNext().

## protectedNoFault

Bool32 VULKAN_HPP_NAMESPACE::PhysicalDeviceProtectedMemoryProperties::protectedNoFault

Definition at line 16583 of file vulkan.hpp.

Referenced by operator==(), and setProtectedNoFault().

## sType

StructureType VULKAN_HPP_NAMESPACE::PhysicalDeviceProtectedMemoryProperties::sType = StructureType::ePhysicalDeviceProtectedMemoryProperties

private

Definition at line 16579 of file vulkan.hpp.

Referenced by operator==().

The documentation for this struct was generated from the following file:

- src/video/khronos/vulkan/vulkan.hpp

VULKAN_HPP_NAMESPACE::PhysicalDeviceProtectedMemoryProperties::operator==
bool operator==(PhysicalDeviceProtectedMemoryProperties const &rhs) const
Definition: vulkan.hpp:16566
VULKAN_HPP_NAMESPACE::PhysicalDeviceProtectedMemoryProperties::sType
StructureType sType
Definition: vulkan.hpp:16579
VULKAN_HPP_NAMESPACE::PhysicalDeviceProtectedMemoryProperties::protectedNoFault
Bool32 protectedNoFault
Definition: vulkan.hpp:16583
memcpy
#define memcpy
Definition: SDL_malloc.c:630
VULKAN_HPP_NAMESPACE::PhysicalDeviceProtectedMemoryProperties::PhysicalDeviceProtectedMemoryProperties
PhysicalDeviceProtectedMemoryProperties(Bool32 protectedNoFault_=0)
Definition: vulkan.hpp:16529
VkPhysicalDeviceProtectedMemoryProperties
Definition: vulkan_core.h:4284
VULKAN_HPP_NAMESPACE::PhysicalDeviceProtectedMemoryProperties::pNext
void * pNext
Definition: vulkan.hpp:16582